Bug 910539 (picmi)

Summary: Review Request: picmi - A nonogram logic game
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-18 16:22:28 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 14:34:18 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/picmi.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/picmi-4.10.0-1.fc18.src.rpm
Description: A nonogram logic game
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 10:25:59 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/picmi.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/picmi-4.10.0-2.fc18.src.rpm

* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, description
Comment 2 nucleo 2013-02-18 14:00:00 EST
Unfortunately COPYING.DOC missing in sources, but there is licensing information in documentation (GFDL for documentation).
There are also files AUTHORS and README can be added in %doc but this is not a blocker.
Comment 3 nucleo 2013-02-18 14:07:37 EST
MUST Items:
+ rpmlint output
  $ rpmlint picmi-4.10.0-1.fc18.i686.rpm picmi-debuginfo-4.10.0-1.fc18.i686.rpm picmi-4.10.0-2.fc18.src.rpm picmi.spec 
    picmi.i686: W: spelling-error Summary(en_US) nonogram -> monogram, sonogram, monograph
    picmi.i686: W: spelling-error %description -l en_US nonogram -> monogram, sonogram, monograph
    picmi.i686: E: incorrect-fsf-address /usr/share/doc/picmi-4.10.0/COPYING
    picmi.i686: W: no-manual-page-for-binary picmi
    picmi.src: W: spelling-error Summary(en_US) nonogram -> monogram, sonogram, monograph
    3 packages and 1 specfiles checked; 1 errors, 5 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name picmi-4.10.0.tar.xz
+ spec file name picmi.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2) packaged as %doc
+ source matches upstream:
  MD5: 65ef7316ba191d4aee89df00a859399f  picmi-4.10.0.tar.xz
  SHA1: fddda723e0168ec52e05e7e4791164f4c5b7eb6c  picmi-4.10.0.tar.xz
  SHA256: d6ba0b94cbdfeaf5aee02cc361ae5cb38dc590b8e9a33b5f37ff00d853a46097  picmi-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, themes, levels, icons under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ picmi.desktop file for the GUI app picmi present
+ desktop-file-validate is used in %check and the picmi.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from picmi's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts

- license already included upstream, no COPYING.DOC, but documentations says GFDL, included COPYING with wrong FSF address
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

Comment 4 Rex Dieter 2013-02-18 14:10:47 EST
New Package SCM Request
Package Name: picmi
Short Description: A nonogram logic game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
Comment 5 Jon Ciesla 2013-02-18 14:56:34 EST
Git done (by process-git-requests).
Comment 6 Rex Dieter 2013-02-18 16:22:28 EST